petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDrawSetSaveFinalImage

Saves the final image produced in a PetscDraw into a file

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawSetSaveFinalImage(PetscDraw draw,const char filename[])

Collective on PetscDraw

### Input Parameter

| draw | - the graphics context
| filename | - name of the file, if NULL or empty uses name set with PetscDrawSetSave() or name of draw object

### Options Database Command

-draw_save_final_image <filename> -filename could be name.ext or .ext (where .ext determines the type of graphics file to save, for example .png)

### Notes

You should call this BEFORE creating your image and calling PetscDrawSave(). The supported image types are .png, .gif, and .ppm (PETSc chooses the default in that order). Support for .png images requires configure --with-libpng. Support for .gif images requires configure --with-giflib. Support for .jpg images requires configure --with-libjpeg. Support for .ppm images is built-in. The PPM format has no compression (640x480 pixels ~ 900 KiB).

### See Also

PetscDrawSetSave(), PetscDrawSetFromOptions(), PetscDrawCreate(), PetscDrawDestroy()

### Level

intermediate

### Location

src/sys/classes/draw/interface/dsave.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages